MKIMAPDCERT(8)

NAME
mkimapdcert - create a test SSL certificate for IMAP over SSL

SYNOPSIS
@sbindir@/mkimapdcert

DESCRIPTION

IMAP over SSL requires a valid, signed, X.509 certificate. The default location for the certificate file is @datadir@/imapd.pem. mkimapdcert generates a self-signed X.509 certificate, mainly for testing. For production use the X.509 certificate must be signed by a recognized certificate authority, in order for mail clients to accept the certificate.

@datadir@/imapd.pem must be owned by the @mailuser@ user and have no group or world permissions. The mkimapdcert command will enforce this. To prevent an unfortunate accident, mkimapdcert will not work if @datadir@/imapd.pem already exists.

mkimapdcert requires OpenSSL to be installed.

FILES

@datadir@/imapd.pem
    X.509 certificate.

@sysconfdir@/imapd.cnf
    Parameters used by OpenSSL to create the X.509 certificate.

SEE ALSO

courier(8)